From 8c3669588ba13057c88bc8da5bc8ef680e9cdf6a Mon Sep 17 00:00:00 2001
From: Andros Fenollosa <tanrax@users.noreply.github.com>
Date: Fri, 14 Sep 2018 19:03:09 +0200
Subject: [PATCH] Added comments and information texts

Comments, presentation title, final informative text have been added and temporary variable is deleted.
---
 install_ubuntu.sh | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/install_ubuntu.sh b/install_ubuntu.sh
index fb9516dbe7..1827545daa 100644
--- a/install_ubuntu.sh
+++ b/install_ubuntu.sh
@@ -1,9 +1,28 @@
 #!/bin/bash
 set -e
+# Title
+echo "       _             _         _           _        _ _           "
+echo "      | |           (_)       (_)         | |      | | |          "
+echo "      | | ___  _ __  _ _ __    _ _ __  ___| |_ __ _| | | ___ _ __ "
+echo "  _   | |/ _ \\\| '_ \| | '_ \\  | | '_ \\\/ __| __/ _\` | | |/ _ \ '__|"
+echo " | |__| | (_) | |_) | | | | | | | | | \__ \ || (_| | | |  __/ |   "
+echo "  \____/ \___/| .__/|_|_| |_| |_|_| |_|___/\__\__,_|_|_|\___|_|   "
+echo "              | |                                                 "
+echo "              |_|                                                 "
+# Get the latest version to download
 version=$(curl --silent "https://api.github.com/repos/laurent22/joplin/releases/latest" | grep -Po '"tag_name": "v\K.*?(?=")')
+# Delete previous version
 rm ~/.joplin/*.AppImage ~/.local/share/applications/joplin.desktop
+# Creates the folder where the binary will be stored
 mkdir -p ~/.joplin/
+# Download the latest version
 wget -O ~/.joplin/Joplin-$version-x86_64.AppImage https://github.com/laurent22/joplin/releases/download/v$version/Joplin-$version-x86_64.AppImage 
+# Gives execution privileges
 chmod +x ~/.joplin/Joplin-$version-x86_64.AppImage
+# Download icon
 wget -O ~/.joplin/Icon512.png https://joplin.cozic.net/images/Icon512.png
+# Create icon for Gnome
 echo -e "[Desktop Entry]\nEncoding=UTF-8\nName=Joplin\nExec=/home/$USER/.joplin/Joplin-$version-x86_64.AppImage\nIcon=/home/$USER/.joplin/Icon512.png\nType=Application\nCategories=Application;" >> ~/.local/share/applications/joplin.desktop
+# Informs the user that it has been installed and cleans variables
+echo 'Joplin installed in the version' $version
+unset version